Main Page Widgets Namespaces Book

# value.h File Reference

## Namespaces

namespace | Glib

## Classes

class | Glib::ValueBase
class | Glib::ValueBase_Boxed
class | Glib::ValueBase_Object
class | Glib::ValueBase_Enum
class | Glib::ValueBase_Flags
class | Glib::ValueBase_String
class | Glib::Value_Boxed<T>
class | Glib::Value<Glib::RefPtr<T>>
| Partial specialization for RefPtr<> to Glib::Object. More...
class | Glib::Value<std::string>
| Specialization for strings. More...
class | Glib::Value<Glib::ustring>
| Specialization for UTF-8 strings. More...
class | Glib::Value_Enum<T>
| Base class of Glib::Value<T> specializations for enum types. More...
class | Glib::Value_Flags<T>
| Base class of Glib::Value<T> specializations for flags types. More...

## Defines

#define | _GLIBMM_VALUE_H_INCLUDE_VALUE_CUSTOM_H
#define | _GLIBMM_VALUE_H_INCLUDE_VALUE_BASICTYPES_H

## Define Documentation

#define _GLIBMM_VALUE_H_INCLUDE_VALUE_BASICTYPES_H

#define _GLIBMM_VALUE_H_INCLUDE_VALUE_CUSTOM_H